Application: gvSIG desktop - gvSIG bugs #3203
Error en el informe de "Persistence factories" relacionada con ProportionalSymbolsLegend
02/22/2015 10:09 AM - Joaquin del Cerro Murciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Francisco Diaz Carsi

Category: Symbology

Target version: 2.2.0-2303 (rev. org.gvsig.desktop-2.0.90

Severity: Minor Add-on version:

gvSIG version: 2.1.0 Add-on build:

gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Si ejecutamos desde gvSIG el informe de factorias de persistencia registradas en gvSIG nos da un error en la clase
ProportionalSymbolsLegend.

Class: org.gvsig.symbology.fmap.rendering. ProportionalSymbolsLegend

Persistent: yes.

Factory: org.gvsig.tools.persistence.impl.SimplePersistenceFactory

Definition name: Persistence:PROPORTIONAL_SYMBOL _LEGEND _PERSISTENCE_DEFINITION
Description: PROPORTIONAL_SYMBOL_LEGEND_PERSISTENCE_DEFINITION Persistence definition
Field fieldTypes, container, can't has class for value of items.

Field backgroundSymbol of 'interface org.gvsig.fmap.mapcontext.rendering.symbols.ISymbol".

Field defaultSymbol of ‘interface org.gvsig.fmap.mapcontext.rendering.symbols.ISymbol'.

Hay algun problema en la declaracion del tipo de campo fieldTypes.

Related issues:
Related to Application: gvSIG desktop - gvSIG feature requests # 3211: Integr... Closed 02/23/2015

History

#1 - 03/02/2015 11:30 AM - Joaquin del Cerro Murciano
- Related to gvSIG feature requests #3211: Integrar en Jenkins la compilacion de org.gvsig.legend.proportionalsymbols.app added

#2 - 03/02/2015 11:30 AM - Joaquin del Cerro Murciano
- Assignee set to Francisco Diaz Carsi

#3 - 03/02/2015 11:31 AM - Joaquin del Cerro Murciano
- Target version changed from 2.2.0-2311-rc2 to 2.2.0-2302 (rev. org.gvsig.desktop-2.0.89)

#4 - 03/02/2015 04:25 PM - Joaquin del Cerro Murciano
- Target version changed from 2.2.0-2302 (rev. org.gvsig.desktop-2.0.89) to 2.2.0-2303 (rev. org.gvsig.desktop-2.0.90)

#5 - 03/05/2015 12:10 PM - Francisco Diaz Carsi
- Status changed from New to Fixed

#6 - 04/07/2015 12:02 PM - Alvaro Anguix
- Status changed from Fixed to Closed
